package de.mlessmann.certassist.keystore;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import lombok.extern.slf4j.Slf4j;

@Slf4j
record KeystoreResult(Path truststorePath) implements KeystoreUsage {
    @Override
    public void close() {
        try {
            Files.deleteIfExists(truststorePath);
        } catch (IOException e) {
            log.warn("Failed to delete truststore at {}. Scheduling delete on exit.", truststorePath, e);
            truststorePath.toFile().deleteOnExit();
        }
    }
}
