package de.mlessmann.certassist.repositories;

import static org.assertj.core.api.Assertions.assertThat;

import de.mlessmann.certassist.models.CertificateExtension;
import jakarta.transaction.Transactional;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class CertificateExtensionRepositoryTest {

    @Autowired
    private CertificateExtensionRepository repository;

    @Test
    @Transactional
    void findCertificate() {
        CertificateExtension certificateExtension = new CertificateExtension();
        certificateExtension.setValue("test-value");
        repository.save(certificateExtension);

        assertThat(repository.findById(certificateExtension.getId()).orElseThrow().getValue()).isEqualTo("test-value");
    }
}
